Request body
| Name | Type | Required | Description |
|---|---|---|---|
| key | string | no | For an array of objects, the property to compare (a dotted path such as owner.email reaches into nested objects). An object without it never matches |
| match | one of: exact, contains, starts_with, ends_with | no | exact, contains, starts_with or ends_with (default "exact") |
| ignore_case | boolean | no | Treat text that differs only by upper and lower case as equal (default false) |
| trim | boolean | no | Ignore spaces around text when comparing (default false) |
| items | array of any | yes | The array |
| value | any | yes | The value to look for |
Example request
A request body that works, as JSON.
{
"items": [
"paid",
"unpaid",
"void",
"unpaid"
],
"value": "unpaid"
}
Code samples
Replace YOUR_TOKEN with your access token.
curl
curl -X POST 'https://api.skillfulsardine.com/v1/find/array/position' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
--data-raw '{
"items": [
"paid",
"unpaid",
"void",
"unpaid"
],
"value": "unpaid"
}'
PowerShell
$body = @'
{
"items": [
"paid",
"unpaid",
"void",
"unpaid"
],
"value": "unpaid"
}
'@
$response = Invoke-RestMethod -Method Post -Uri 'https://api.skillfulsardine.com/v1/find/array/position' `
-Headers @{ Authorization = 'Bearer YOUR_TOKEN' } `
-ContentType 'application/json; charset=utf-8' `
-Body ([System.Text.Encoding]::UTF8.GetBytes($body))
$response | ConvertTo-Json -Depth 10
Python
import requests
payload = {
"items": [
"paid",
"unpaid",
"void",
"unpaid",
],
"value": "unpaid",
}
response = requests.post(
"https://api.skillfulsardine.com/v1/find/array/position",
headers={"Authorization": "Bearer YOUR_TOKEN"},
json=payload,
timeout=30,
)
print(response.json())
JavaScript
const response = await fetch("https://api.skillfulsardine.com/v1/find/array/position", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json",
},
body: JSON.stringify({
"items": [
"paid",
"unpaid",
"void",
"unpaid"
],
"value": "unpaid"
}),
});
const result = await response.json();
console.log(result);
Node
// Node 18 or later. Save as call.mjs and run: API_TOKEN=... node call.mjs
const token = process.env.API_TOKEN;
const response = await fetch("https://api.skillfulsardine.com/v1/find/array/position", {
method: "POST",
headers: {
"Authorization": `Bearer ${token}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
"items": [
"paid",
"unpaid",
"void",
"unpaid"
],
"value": "unpaid"
}),
});
const result = await response.json();
console.log(result);
Rust
// Cargo.toml: reqwest = { version = "0.12", features = ["blocking", "json"] }, serde_json = "1"
fn main() -> Result<(), Box<dyn std::error::Error>> {
let body: serde_json::Value = serde_json::from_str(r#"{
"items": [
"paid",
"unpaid",
"void",
"unpaid"
],
"value": "unpaid"
}"#)?;
let response = reqwest::blocking::Client::new()
.post("https://api.skillfulsardine.com/v1/find/array/position")
.bearer_auth("YOUR_TOKEN")
.json(&body)
.send()?;
println!("{}", response.text()?);
Ok(())
}
Swift
import Foundation
var request = URLRequest(url: URL(string: "https://api.skillfulsardine.com/v1/find/array/position")!)
request.httpMethod = "POST"
request.setValue("Bearer YOUR_TOKEN", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = Data(#"""
{
"items": [
"paid",
"unpaid",
"void",
"unpaid"
],
"value": "unpaid"
}
"""#.utf8)
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))
Response
The fields inside data of a successful response.
| Name | Type | Required | Description |
|---|---|---|---|
| first_index | integer | yes | Position of the first match, null when there is none |
| last_index | integer | yes | Position of the last match, null when there is none |
| indexes | array of integer | yes | Positions of every match |
| match_count | integer | yes | How many items match |
Example response
A real answer from the operation, as JSON. The fields in the table above are inside data.
{
"data": {
"first_index": 1,
"last_index": 3,
"indexes": [
1,
3
],
"match_count": 2
},
"errors": null,
"meta": {
"request_id": "7f71aaed-fa9f-4c1f-820c-21db188ec42c",
"timestamp": "2026-10-27T07:19:42.120114Z",
"version": "2026-03-26"
},
"pagination": null
}
Responses
| Status | When it happens |
|---|---|
| 200 | Successful Response |
| 400 | The body respects the operation schema, but the use case rejected it. Each problem is one ApiError entry |
| 413 | The request is larger than the request size limit of the API allows |
| 422 | The body does not respect the operation schema. Each problem is one ApiError entry with the code validation_error |
| 500 | Something failed inside the server and was not an input problem. The same envelope, errors may be empty |